# List Visitor Lists

> Retrieve a paginated list of visitor lists (segments)

## Query Parameters

<ParamField query="limit" type="integer" default="50">
  Maximum number of results to return (max: 100)
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Number of results to skip for pagination
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of visitor list objects
  
  <Expandable title="List Object">
    <ResponseField name="id" type="string">
      Unique identifier for the list
    </ResponseField>
    
    <ResponseField name="name" type="string">
      List name
    </ResponseField>
    
    <ResponseField name="description" type="string">
      Description
    </ResponseField>
    
    <ResponseField name="color" type="string">
      Color code
    </ResponseField>
    
    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp of creation
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pagination" type="object">
  Pagination information
</ResponseField>

<RequestExample>

```bash cURL
curl -X GET "https://api.orwel.io/api/v1/lists?limit=10" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
```

</RequestExample>

<ResponseExample>

```json Response
{
  "data": [
    {
      "id": "list-uuid",
      "name": "VIP Customers",
      "description": "High value customers",
      "color": "#FF0000",
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 5
  }
}
```

</ResponseExample>
